Skip to content
Navigation

Get organization wallet

GET
https://api.sureshake.com/v2/organizations/{id}/wallet

Path parameters

  • id
    string
    required
    minLength: 1

Returns

200

Default Response

JSON
  • data
    object
    required
    • wallet
      object
      or null
      required
      • id
        string
        required
        format: uuid
      • organizationId
        string
        required
      • walletAddress
        string
        or null
        required
      • chainId
        integer
        required
      • status
        pending
        or
        active
        or
        failed
        or
        disabled
        required
      • custodyPolicy
        map of
        unknown
        required
      • createdByUserId
        string
        required
      • activatedAt
        string
        or null
        required
      • failureCode
        string
        or null
        required
      • failurePublicMessage
        string
        or null
        required
      • createdAt
        string
        required
      • updatedAt
        string
        required
      • explorerUrl
        string
        or null
        required
    • canManage
      boolean
      required
  • meta
    optional
    object
    • timestamp
      string
      required
      format: date-time

400

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

401

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

403

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

404

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

500

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

Type to search…

↑↓ navigate↵ selectEsc close